Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1939380

Summary: python-twine-3.4.1 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: python-twineAssignee: Lumír Balhar <lbalhar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: medium    
Version: rawhideCC: cstratak, lbalhar, mhroncok, pviktori, python-sig, randy
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-twine-3.4.1-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-09 08:19:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
[patch] Update to 3.4.0 (#1939380)
none
[patch] Update to 3.4.1 (#1939380) none

Description Upstream Release Monitoring 2021-03-16 09:31:55 UTC
Latest upstream release: 3.4.0
Current version/release in rawhide: 3.3.0-2.fc34
URL: https://github.com/pypa/twine

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11165/

Comment 1 Upstream Release Monitoring 2021-03-16 09:32:03 UTC
Created attachment 1763587 [details]
[patch] Update to 3.4.0 (#1939380)

Comment 2 Upstream Release Monitoring 2021-03-16 09:35:29 UTC
the-new-hotness/release-monitoring.org's scratch build of python-twine-3.4.0-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=63877668

Comment 3 Petr Viktorin (pviktori) 2021-03-16 10:25:03 UTC
3.4.0 (2021-03-15)
Features:
    Prefer importlib.metadata for entry point handling. (#728)
    Rely on importlib_metadata 3.6 for nicer entry point processing. (#732)
    Eliminated dependency on Setuptools/pkg_resources and replaced with packaging and importlib_metadata. (#736)

These are packaging changes only, no impact expected for users.

Comment 4 Charalampos Stratakis 2021-03-16 19:45:00 UTC
The package started depending on importlib_metadata (the external library) and not importlib.metadata from python's stdlib. So this update can be done only after packaging the external library in Fedora.

Comment 5 Upstream Release Monitoring 2021-03-17 07:54:30 UTC
Latest upstream release: 3.4.1
Current version/release in rawhide: 3.3.0-2.fc34
URL: https://github.com/pypa/twine

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11165/

Comment 6 Upstream Release Monitoring 2021-03-17 07:54:47 UTC
Created attachment 1763919 [details]
[patch] Update to 3.4.1 (#1939380)

Comment 7 Upstream Release Monitoring 2021-03-17 07:57:34 UTC
the-new-hotness/release-monitoring.org's scratch build of python-twine-3.4.1-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=63953186

Comment 8 Charalampos Stratakis 2021-03-17 13:35:21 UTC
(In reply to Charalampos Stratakis from comment #4)
> The package started depending on importlib_metadata (the external library)
> and not importlib.metadata from python's stdlib. So this update can be done
> only after packaging the external library in Fedora.

Correction. The package has been retired, as projects should (obviously) depend on the stdlib one: https://src.fedoraproject.org/rpms/python-importlib-metadata/c/bb65b4223ef34372614eb16cf9a5638cdf79413c?branch=rawhide

But twine wants to support also older python versions and they did so without conditionals for the stdlib module.

Comment 10 Miro Hrončok 2021-03-17 13:51:19 UTC
Actually, we might need to talk to them or re-introduce importlib_metadata indeed. See https://github.com/pypa/twine/pull/732

Comment 11 Petr Viktorin (pviktori) 2021-06-08 09:26:41 UTC
importlib.metadata in Python 3.10 should have the necessary funcitons.

Comment 12 Lumír Balhar 2021-06-29 08:48:43 UTC
I've rebased and updated the patch proposed upstream by Petr and all tests in RPM build pass: https://src.fedoraproject.org/rpms/python-twine/pull-request/6

Comment 13 Miro Hrončok 2021-06-29 10:05:35 UTC
For the record, the upstream PR is https://github.com/pypa/twine/pull/772

Comment 14 Fedora Update System 2021-07-09 08:17:08 UTC
FEDORA-2021-2dda58274c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-2dda58274c

Comment 15 Fedora Update System 2021-07-09 08:19:43 UTC
FEDORA-2021-2dda58274c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.